﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using System.Threading;

namespace DesktopCalculator
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            // There can be only one policy server running.
            // Therefore, in this example we allow only one instance
            // of the desktop calculator.
            bool isMutexCreated = false;
            using (Mutex aMutex = new Mutex(true, "DesktopCalculator.PolicyServer",
                                            out isMutexCreated))
            {
                // If this is the first instance, then continue to display the window.
                if (isMutexCreated)
                {
                    Application.EnableVisualStyles();
                    Application.SetCompatibleTextRenderingDefault(false);
                    Application.Run(new Form1());
                }
                else
                {
                    MessageBox.Show("The DesktopCalculator is already running.");
                }
            }
        }
    }
}
